/**
 *
 * $Id: VkMenuAction.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition for the VkMenuAction class,
 * which is implemented as a push button gadget within the menu.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKMENUACTION_H
#define VKMENUACTION_H

#include <Xm/PushBG.h>
#include <Vk/VkConfig.h>
#include <Vk/VkMenuItem.h>

class VkMenuAction : public VkMenuItem {
public:

  XtCallbackProc actionCallback;
  XtPointer clientData;
  
  VkMenuAction(char *name);
  
  virtual const char *className();
  Boolean hasUndo();
  
  virtual void undo();
  
  void setLabel(const char *str);

  Boolean isContainer();

  VkMenuItemType menuType();

  void _instantiate(Widget parent);
};

#endif // VKMENUACTION_H
